Skip to content
Start here

Get a Job Details

aisearch.instances.jobs.get(strjob_id, JobGetParams**kwargs) -> JobGetResponse
GET/accounts/{account_id}/ai-search/instances/{id}/jobs/{job_id}

Retrieves details for a specific AI Search indexing job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
job_id: str
ReturnsExpand Collapse
class JobGetResponse:
id: str
source: Literal["user", "schedule"]
One of the following:
"user"
"schedule"
description: Optional[str]
end_reason: Optional[str]
ended_at: Optional[str]
last_seen_at: Optional[str]
started_at: Optional[str]

Get a Job Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
job = client.aisearch.instances.jobs.get(
    job_id="job_id",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    id="my-ai-search",
)
print(job.id)
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}